Other Resource

DELETE /objecthistory/json

Try it out!

Request Body
media type data type
application/json array of HdcBasicTO (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /objecthistory/json

Try it out!

Response Body
media type data type description
application/json object (JSON)

POST /objecthistory/json

Try it out!

Request Body
media type data type
application/json array of ObjectsHistoryItem (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

PUT /objecthistory/json

Try it out!

Request Body
media type data type
application/json array of ObjectsHistoryItem (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /admin/fileformats/json

Get list of file formats

Try it out!

Response Body
media type data type description
application/json object (JSON) JSON Response with list of file formats

Example of response:

{ list: [ { name: "png", description: "Portable Network Graphics",mimeType: "image/png", serverSupported: true, clientSupported:false }, { name: "jpg", description:"Joint Photographic Experts Group JFIF format", mimeType:"image/jpeg", serverSupported: true, clientSupported: false }, {name: "jpeg", description: "Joint Photographic Experts Group JFIF format", mimeType: "image/jpeg", serverSupported: true, clientSupported: false }, { name: "tif", description: "Tagged Image File Format", mimeType:"image/tiff", serverSupported: true, clientSupported: false }, { name: "tiff", description: "Tagged Image File Format", mimeType:"image/tiff", serverSupported: true, clientSupported: false }, { name: "bmp", description: "Microsoft Windows bitmap", mimeType: "image/bmp", serverSupported: true, clientSupported: false } ]}

POST /admin/fileformats/update

Update allowed attachment for file formats

Try it out!

Request Body
media type data type description
application/json HdcListTOOfHdcFileFormatTO (JSON) list of modified allowed attachments formats
Response Body
media type data type description
application/json object (JSON) JSON Response with information, whether the removing has or has not been succeeded.

GET /admin/presentationsets/json

Return all presentation sets with it's assigned identities (users, groups)

Try it out!

Response Body
media type data type description
application/json object (JSON) List of presentation sets

Example of response:

{"list":[{"id":"1","name":"setname1","isDefault":false,"identities":[{"name":"user","id":"1","type":"user"}]},{"id":"2","name":"setname2","isDefault":false,"identities":[{"name":"group","id":"2","type":"group"}]}]}

POST /admin/presentationsets/json

Add new presentation set Example of request:

{"name":"presentationSetName","description":"presentationSetDescription"}

Try it out!

Request Body
media type data type
application/json HdcNameDescModelTO (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON with information, whether the operation has or has not been succeeded.

DELETE /admin/presentationsets/{setId}

Remove presentation set

Try it out!

Request Parameters
name type description default constraints
setId path ID of set   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the removing has or has not been succeeded.

POST /test/test/testGkc

Try it out!

Request Parameters
name type description default constraints
json query    
Request Body
media type data type
application/json GkcEnunciateTestClass (JSON)
Response Body
media type data type description
application/json GkcEnunciateTestClass (JSON)

POST /test/test/testGkcDefaults

Try it out!

Request Parameters
name type description default constraints
json query    
Request Body
media type data type
application/json array of GkcEnunciateTestClass (JSON)
Response Body
media type data type description
application/json object (JSON)

POST /test/test/testGkcDefaultsList

Try it out!

Request Parameters
name type description default constraints
json query    
Request Body
media type data type
application/json array of GkcEnunciateTestClass (JSON)
Response Body
media type data type description
application/json array of GkcEnunciateTestClass (JSON)

POST /test/test/testGkcEnum

Try it out!

Request Parameters
name type description default constraints
json query    
Request Body
media type data type
application/json GkcEnunciateTestNotFinished (JSON)
Response Body
media type data type description
application/json GkcEnunciateTestClass (JSON)

GET /test/test/testResp

Try it out!

Response Body
media type data type description
application/json GkcEnunciateTestClass (JSON)

GET /test/test/testRespCollection

Try it out!

Response Body
media type data type description
application/json array of GkcEnunciateTestClass (JSON)

GET /test/test/testRespGson

Try it out!

Response Body
media type data type description
application/json object (JSON)

GET /test/test/testRespList

Try it out!

Request Parameters
name type description default constraints
Host header The host header.    
X-Authorization header The authentication token.    
json query    
Response Body
media type data type description
application/json array of GkcEnunciateTestClass (JSON)
Response Headers
name description
Location The location of the created person.

POST /admin/presentationsets/assign/{setId}

Assign user or group to given Presentation Set

Try it out!

Request Parameters
name type description default constraints
setId path ID of set   long
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the assignment has or has not been succeeded.

POST /admin/presentationsets/unassign/{setId}

Unassign user or group to given Presentation Set

Try it out!

Request Parameters
name type description default constraints
setId path ID of set   long
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

POST /admin/presentationsets/dynamiclabel/add/{setId}

Assign dynamic label to given Presentation Set

Try it out!

Request Parameters
name type description default constraints
setId path   long
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the assignment has or has not been succeeded.

GET /admin/presentationsets/dynamiclabel/json/{setId}

Return dynamic labels for following presentation set by it's id

Try it out!

Request Parameters
name type description default constraints
setId path   long
Response Body
media type data type description
application/json object (JSON) list of assigned dynamic labels

Example of response:

{"list":[{"labelId":"1","labelName":"Room data","labelDescription":"Room description","showFlags":0}]}

POST /admin/presentationsets/dynamiclabel/remove/{setId}

Remove dynamic label from given Presentation Set

Try it out!

Request Parameters
name type description default constraints
setId path   long
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

POST /admin/presentationsets/dynamiclabel/update/{setId}

Update dynamicLabel for given presentationSet.

Try it out!

Request Parameters
name type description default constraints
setId path   long
Request Body
media type data type description
application/json string (JSON) list of presentation members to be updated
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON with information whether request was successful

GET /admin/presentationsets/members/json/{setId}

Get list of Presentation Set identities (users or groups)

Try it out!

Request Parameters
name type description default constraints
setId path ID of set   long
mode query users  
Response Body
media type data type description
application/json object (JSON) JSON with list of groups

Example of response:

{"list":[{"id":"x","description":"Members of Tessel Crew group","name":"Tessel Crew"},{"id":"y","description":"aaa bbb ccc ddd eee fff ggg hhh iii jjj kkk lll ","name":"Group B"}]} or JSON with list of users

Example of response:

{"list":[{"id":1,"name":"admin","userFullName":"Admin","description":"","enabled":true,"email":"","loginCount":1840,"lastLoginDate":"2013-09-26T10:18:36.199072+02:00"},{"id":2,"name":"user1","userFullName":"User 1","description":"","enabled":true,"email":"","loginCount":784,"lastLoginDate":"2013-09-25T13:16:12.990218+02:00"}]}

POST /admin/presentationsets/presentation/add/{setId}

Assign presentation to given Presentation Set

Try it out!

Request Parameters
name type description default constraints
setId path   long
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the assignment has or has not been succeeded.

GET /admin/presentationsets/presentation/json/{setId}

Return presentations for following presentation set by it's id

Try it out!

Request Parameters
name type description default constraints
setId path   long
Response Body
media type data type description
application/json array of HdcPresentationModelTO (JSON) list of assigned presentations

Example of response:

{"list":[{"presentationId":"2","presentationName":"Rumsbenämning","typeId":0,"countColumn":false,"spotAreaColumn":false,"summaryColumn":false}]}

POST /admin/presentationsets/presentation/remove/{setId}

remove presentation from given Presentation Set

Try it out!

Request Parameters
name type description default constraints
setId path   long
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

POST /admin/presentationsets/presentation/update/{setId}

Update presentation for given presentationSet.

Try it out!

Request Parameters
name type description default constraints
setId path   long
Request Body
media type data type description
application/json string (JSON) list of presentation members to be updated
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON with information whether request was successful